LINUX.ORG.RU

ubuntu 12.04 и установка xserver-xorg 1.13

 , ,


0

1

Подключил ppa xorg-edgers в 12.04, стал обновляться - xserver-xorg от x-swat, максимальная версия 2:1.12.3+git20120709+server-1.12-branch.60e0d205-0ubuntu0ricotz~precise.

Как запилить 1.13? Ну, окромя как руками выдернуть от 12.10 и засунуть в 12.04 переломав зависимости, а то и совсем систему.

Ведро - 3.6.8-pf.

Если таки решать руками - лучший вариант создать локальный репозиторий в него запихнуть необходимые пакеты? Или как?

Имеется ввиду оставить систему рабочей.

12.10 пока не хочу ставить, и 12.04 в неё превращать - тоже.

★★★★

cast RussianNeuroMancer

Может я что не так делаю?

P.S. 12.10 можно поставить, но таки интересует, почему для 12.04 пакеты уже не обновляются? git-версия от июля, для xserver-xorg-core.

ekzotech ★★★★ ()
Ответ на: комментарий от ekzotech

но таки интересует, почему для 12.04 пакеты уже не обновляются?

Это не ко мне, лучше спросить у мейнтеров репозитория. Полагаю, на то есть объективные причины.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Не стал заморачиваться, здраво решив, что тестировать новое - так на новом и свежем дистрибутиве. Накатил 12.10. Так что я хотел бы вернуться к настройке DRI_PRIME. Скастую тебя в соответствующую тему.

ekzotech ★★★★ ()

> Как запилить 1.13? Ну, окромя как руками выдернуть от 12.10 и засунуть в 12.04 переломав зависимости, а то и совсем систему.

Возьми DEB-SRC и пересобери. sudo apt-get build-dep xserver-xorg (галочка Sources в списке репозиториев должна быть включена). Затем dpkg-source -x файл.dsc, fakeroot ./debian/rules binary и sudo dpkg -i *.deb.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Ну тут тонкость, что там одно другое тянет, ломать было лень.

Я просто поставил 12.10, и уже туда подключил xorg-edgers/ppa, сразу получив иксы 1.13. Не очень технично, но зато без геморроя.

ekzotech ★★★★ ()
Ответ на: комментарий от ekzotech

Согласен. Я как-то хотел обновить X-Server в старом дистрибутиве Linux. Зависимостей просило ну очень много! Пошёл в интернет-кафе скачивать содержимое каталога с иксами на ftp-сервере и мощный интернет не сумел сделать это быстро. Наверное я делал что-то не так, потому что Gentoo, например, при установке иксов хотел всего лишь 200 зависимостей. А в моей системе 150 из них скорее всего уже были.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от ZenitharChampion

Когда обновляешься до git'овой версии, там жёсткие ограничения на версию драйвера, других компонентов иксов, мезы. Они и так есть, но версии не соответсвуют требуемым, отсюда и растут ноги. А пересобирать половину убунты - то ещё извращение, это тебе не emerge в gentoo набрать. Проще не заморачиваться до такой степени.

ekzotech ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.